#include "Time.hpp"

// ESP32 specific
#include "esp_timer.h"

// C++ system level
// #include <functional>

// project specific
#include "SpiderLib/NumberTypes.hpp"



namespace SpiderLib {

  u32 Time::s()  { return (u32)(esp_timer_get_time() / 1000000ULL); }
  u64 Time::ms() { return (u64)(esp_timer_get_time() /    1000ULL); }
  u64 Time::us() { return (u64) esp_timer_get_time(); }

}
